Bug 78497 - FILESAVE: RTF - Two spaces (\x0a\x20) look larger in Word
Summary: FILESAVE: RTF - Two spaces (\x0a\x20) look larger in Word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:rtf
Depends on:
Blocks: RTF Formatting-Mark
  Show dependency treegraph
 
Reported: 2014-05-09 16:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-01 02:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
shows 3 occurances of space after periods larger in word 2010 than LibO (162.14 KB, image/jpeg)
2014-05-09 16:34 UTC, Yousuf Philips (jay) (retired)
Details
better screenshot of what is being discussed (370.78 KB, image/png)
2014-05-10 07:34 UTC, retired
Details
word 2013 showing the font properties dialog (72.56 KB, image/jpeg)
2014-05-10 09:44 UTC, Yousuf Philips (jay) (retired)
Details
Comparing LibO 4.4 and MSO 2010 (64.06 KB, image/png)
2014-06-24 13:35 UTC, Florian Reisinger
Details
rtf exports from word 2013 and LibO 4.4 (63.96 KB, application/zip)
2014-06-24 17:56 UTC, Yousuf Philips (jay) (retired)
Details
word 2013 pdf export of the 2 rtf files (208.68 KB, image/png)
2014-06-24 18:01 UTC, Yousuf Philips (jay) (retired)
Details
Test doc picture with non-printing chars enabled (39.85 KB, image/png)
2014-06-27 10:15 UTC, Florian Reisinger
Details
Word RTF vs LibO RTF in Word 2013 (124.12 KB, image/jpeg)
2014-06-27 14:38 UTC, Yousuf Philips (jay) (retired)
Details
Word RTF vs LibO RTF in Kingsoft Writer (146.57 KB, image/jpeg)
2014-06-27 14:40 UTC, Yousuf Philips (jay) (retired)
Details
trimmed sample (19.17 KB, application/wps-office.docx)
2017-09-30 14:47 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 16:34:08 UTC
Created attachment 98770 [details]
shows 3 occurances of space after periods larger in word 2010 than LibO

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in LibO and saved it as an RTF. I then opened the RTF in LibO and word 2010 to compare them and noticed that multiple times in the file when there are two spaces after a period, word 2010 would show more space then LibO. I then opened the original .docx file in word 2010 to compare them and when i checked the font properties of the double space, word 2010 had 'kerning for fonts 12 points and above' enabled in the RTF.

This was tested in Linux Mint on the last releases from 3.6 to 4.2 and 4.3 alpha.
Comment 1 retired 2014-05-10 07:33:26 UTC
Not sure what to make of this. Attaching a screenshot with clearer indication of what is being discussed.

The place in question has two spaces after the dot (as Jay described already). For me they are displayed very similar in Word 2011 and LO 4.2.4.2. So maybe just a Linux issue? Jay, maybe I misunderstood the issue?
Comment 2 retired 2014-05-10 07:34:00 UTC
Created attachment 98807 [details]
better screenshot of what is being discussed
Comment 3 Yousuf Philips (jay) (retired) 2014-05-10 09:42:04 UTC
(In reply to comment #1)
> Not sure what to make of this. Attaching a screenshot with clearer indication
> of what is being discussed.

You did show clearer identification of the issue but you didnt zoom in enough to clearly show a comparison.

> The place in question has two spaces after the dot (as Jay described
> already). For me they are displayed very similar in Word 2011 and LO
> 4.2.4.2. So maybe just a Linux issue? Jay, maybe I misunderstood the issue?

Well i'm not sure of the RTF implementation in mac ms word, but you should right-click into font properties of the paragraph to see if the 'kerning for fonts' is set (will attach a screenshot of this). Its not a linux issue as i've also tested it in word 2013 on windows 7.
Comment 4 Yousuf Philips (jay) (retired) 2014-05-10 09:44:13 UTC
Created attachment 98812 [details]
word 2013 showing the font properties dialog
Comment 5 Florian Reisinger 2014-06-24 13:35:25 UTC
Created attachment 101668 [details]
Comparing LibO 4.4 and MSO 2010

Seems to work with Version: 4.4.0.0.alpha0+
Build ID: bdd87b2acddb2e244569dcc8f228e270614dc59e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-23_00:37:24 on Win7 x64
Comment 6 Yousuf Philips (jay) (retired) 2014-06-24 17:56:16 UTC
Created attachment 101682 [details]
rtf exports from word 2013 and LibO 4.4
Comment 7 Yousuf Philips (jay) (retired) 2014-06-24 18:01:40 UTC
Created attachment 101685 [details]
word 2013 pdf export of the 2 rtf files
Comment 8 Yousuf Philips (jay) (retired) 2014-06-24 18:03:28 UTC
This issue is still not fixed.

Version: 4.4.0.0.alpha0+
Build ID: e62764108a1832e746f68768c29eaa90606903a7
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-06-20_22:05:17

I checked the old OO 3.3 rtf export and it has the same issue as the new export.
Comment 9 Florian Reisinger 2014-06-27 10:15:48 UTC
Created attachment 101856 [details]
Test doc picture with non-printing chars enabled
Comment 10 Florian Reisinger 2014-06-27 10:16:08 UTC
Congrats jay, found a MS Office bug :)
Comment 11 Yousuf Philips (jay) (retired) 2014-06-27 14:38:59 UTC
Created attachment 101871 [details]
Word RTF vs LibO RTF in Word 2013
Comment 12 Yousuf Philips (jay) (retired) 2014-06-27 14:40:45 UTC
Created attachment 101872 [details]
Word RTF vs LibO RTF in Kingsoft Writer
Comment 13 Yousuf Philips (jay) (retired) 2014-06-27 14:44:16 UTC
Just to reiterate this is an RTF save issue as shown in both Word 2013 and Kingsoft Writer screenshots. I checked Wordpad and it doesnt show the additional spacing, but that is likely because its not a full featured word processor. :)
Comment 14 Jorendc 2014-07-18 20:03:18 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: eddd7646d672ea9b0561dacb09da224d098e531e
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-07-18_06:13:47

Document opened using Word for Mac 2011.

Kind regards,
Joren
Comment 15 QA Administrators 2015-09-04 02:49:38 UTC Comment hidden (obsolete)
Comment 16 Robinson Tryon (qubit) 2015-12-14 11:27:07 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2017-01-03 19:50:33 UTC Comment hidden (obsolete)
Comment 18 Yousuf Philips (jay) (retired) 2017-09-30 14:47:36 UTC
Created attachment 136639 [details]
trimmed sample
Comment 19 Yousuf Philips (jay) (retired) 2017-09-30 14:50:07 UTC
So i checked the binary of the double space and it turned out to be no-break space (\x0a) and a regular space (\x20).

Issue still present. @Miklos: could you give your input on this.

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 20 QA Administrators 2018-10-01 02:54:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug